
GammaLib - Bug #2696

stacked on/off analysis

10/08/2018 04:39 PM - Specovius Andreas

Status: Closed Start date: 10/08/2018

Priority: High Due date:  

Assigned To:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.6.0   

Description

It seems like the latest adaptions made for the on/off analysis, namely the possibility to do a reflected regions analysis without

providing a background template ([[redmine|#2659]]), were implemented for the joint analysis only.

When trying to run ctlike on a stacked observation that has been generated with the option use_irf_bkg=no the (wstat) likelihood

evaluation results in nan values.

I traced the error and ended up with this explanation:

The resulting nans are because during stacking the alpha value (BACKSCAL) is computed to be zero. The reason for that is that the

computation takes the background rate (BACKRESP) into account which is given by the background template - and hence zero for

this scenario.

I guess the implementation of the stacking constructor still has to be adapted for the case with use_irf_bkg=no?

Related issues:

Duplicates ctools - Bug # 2683: Errors with On/Off analysis of HESS data in s... Closed 09/20/2018

History

#1 - 10/08/2018 04:44 PM - Knödlseder Jürgen

- Duplicates Bug #2683: Errors with On/Off analysis of HESS data in stacked mode added

#2 - 10/08/2018 04:45 PM - Knödlseder Jürgen

Is in fact already solved in the devel branch, I'm about to merge in some additional code, everything should work in a few minutes, see #2683.

#3 - 12/12/2018 02:27 PM - Knödlseder Jürgen

- Status changed from New to Closed

- Target version set to 1.6.0

- % Done changed from 0 to 100
